Firefox does not display new page after click.

Bug #72812 reported by Xuefeng Liu on 2006-11-22
40
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Invalid
High
firefox (Baltix)
Undecided
Unassigned
firefox (Ubuntu)
Medium
Mozilla Bugs
firefox-3.0 (Ubuntu)
Undecided
Unassigned

Bug Description

It will only display after I refresh it.

One thing you may consider is that when such problem happened, my disk has almost no space. 100%used.

Using any extensions?

No. The problem appears both in old Mozillas/Seamonkeys as well as FF2 branch.

Typically, the problem doesn't appear at all for a while, but fairly frequently with changing frequence when it does.

Just seeing it in Thunderbird 1.5.0.x, too, in the standalone msg window. So far I had not seen it in mail clients ever before (apart from one incident a few days ago). Happens both when opening new window and replacing content of an existing one. The header pane is fine (as is the titlebar, also in Firefox, BTW), but the content pane still shows the old mail body until I resize.

Xuefeng Liu (xfliu-math) wrote :

It will only display after I refresh it.

One thing you may consider is that when such problem happened, my disk has almost no space. 100%used.

Xuefeng Liu (xfliu-math) wrote :

I was advised to submit a file as below.

David Farning (dfarning) on 2007-01-31
Changed in firefox:
assignee: nobody → mozillateam
importance: Undecided → Low
John Vivirito (gnomefreak) wrote :

Is this reproducable with up-to-date edgy's firefox. from the crash report it says your version of firefox is not up to date.

Changed in firefox:
status: Unconfirmed → Needs Info
Alexander Sack (asac) wrote :

this bug lacks a proper testcase and tester

Changed in firefox:
importance: Low → Medium
David Farning (dfarning) on 2007-02-24
Changed in firefox:
assignee: mozillateam → mozilla-bugs
medo (mhalawah) wrote :

I have the same problem for more than two months. I was just waiting for this to go away by itself but that did not happen. For me this occur like for 30% of the time but sometimes never occur. Our friends in Mepis also have the same problem.

mepislovers.org/forums/archive/index.php/t-6766.html

If more specific information are needed I will be happy to provide. Currently I am running Feisty and update weekly. I have tried also Swiftfox built by Automatix2 but that was not better choice.

Sounds like bug 350331;

I'm seeing exactly the same thing under Feisty, and recall seeing this before under edgy and earlier. Still have no idea why it starts doing it, although on my current session (of which I have a backup) it usually starts within a couple actions.

John Vivirito (gnomefreak) wrote :

Can someone please give step by step instrctions on how to reproduce this, if it is still reproducible if not please let us know.

Hi,

it is _not_ clearly reproducable here - it happens only sometimes. Maybe it happens only when firefox was running for some longer time (I use hibernation aka suspend2disk, so the same instance may be in use over several days). It happens here since Ubuntu Edgy (if I remember right) and even on gentoo with firefox 2.0.0.4 (their binary package) installed. Thunderbird seems to have the same problem. Resizing the window helps as mentioned in the Mepis-posting (link in comment #5). I use KDE on Ubuntu and gentoo. (Did not realy use Ubuntu for some weeks now. only gentoo, but I think its realy a problem from upstream.)

m0ns00n (hogne) wrote :

It is difficult to reproduce, but it happens daily with me, and it's made me try other gecko browsers. It happens on all of them, Seamonkey, Firefox, Fasterfox and Flock, downloaded in tar.gz or installed through apt. I've almost not found any mention of it on the net, although it's happened for me for a long time (at least a year) and only on Linux. Doesn't happen in MacOSX or Windows at least..

m0ns00n (hogne) wrote :

I ment Swiftfox (not fasterfox)

Could this be caused by some firefox extension ?
Does someone know if this happens too, when all addons are uninstalled ?

m0ns00n (hogne) wrote :

It does not happen because of an extension. It happens also in Seamonkey and Flock. I saw this is also reported as a MacOS X bug on the mozilla bug forum. It must be a Gecko engine bug somehow.

@ m0ns00n
It seems to me, it happens only when firefox is running for several (many) hours without closing it, but never with a just started firefox. What is your experience about this ?

m0ns00n (hogne) wrote :

@Kurt

Yes, it has to be running a while. Not certain it has to be _many_ house, but 1 or 2 yes. Sometimes it happens sooner, sometimes later.

Hmm, maybe the count of pages shown before it happens is the critical factor ? ... or could there be some memory leak ?

medo (mhalawah) wrote :

I dont think it has anything to do with extensions because I removed most of those I use and deactivated the rest, yet still experiencing the problem.

Yes it has somthing to do with "OS uptime" because even when I restart FF, the problem can show up after opening 3 or 4 tabs. I tried to make some changes for FF mem settings but that did not help.

I use Kubuntu, s2ram, and s2disk.

If I can be of any help please let me know.

I use KDE too.
Is anybody here who has this problem and is using Gnome or other non-KDE stuff ?

I have the same bug here (sometimes) with Firefox 2.0.0.x
on feisty _and_ on gentoo.
I remember at least one appearance with Thunderbird too
(don't know if it was 1.5 or 2.0)

For more similar experiences:
https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/72812

Changed in firefox:
status: Unknown → Confirmed
giovortu (giovortu) wrote :

May this problem be involved in issues with graphic card settings such as XGL / AiGLX?
I've got a GeForce FX5200 and this is the "Device" section of xorg.conf with some enabled options :

Section "Device"
    Identifier "NVIDIA Corporation NV34 [GeForce FX 5200]"
    Driver "nvidia"
...
    Option "AddARGBGLXVisuals" "true"
    Option "AllowGLXWithComposite" "true"
    Option "RenderAccel" "true"
    Option "SLI" "Auto"
    Option "XAANoOffscreenPixmaps" "1"
...

I've Compiz-fusion installed but currently I don't use it.

On Mon, Sep 10, 2007 at 01:31:52PM -0000, giovortu wrote:
> May this problem be involved in issues with graphic card settings such as XGL / AiGLX?
> I've got a GeForce FX5200 and this is the "Device" section of xorg.conf with some enabled options :
>
> Section "Device"
> Identifier "NVIDIA Corporation NV34 [GeForce FX 5200]"
> Driver "nvidia"
> ...
> Option "AddARGBGLXVisuals" "true"
> Option "AllowGLXWithComposite" "true"
> Option "RenderAccel" "true"
> Option "SLI" "Auto"
> Option "XAANoOffscreenPixmaps" "1"
> ...
>

please try to play a bit around (true -> false; 1 -> 0) with these
settings and see if it helps.
> I've Compiz-fusion installed but currently I don't use it.
>

Thanks,

 - Alexander

Joe Cai (joey-cai) wrote :

Noticing that ctrl++ and ctrl+- has the same effect as resizing the window, I wrote a simple extension that does ctrl++ and ctrl+- automatically after pages are loaded. It's simple and stupid , but it works. At least I don't have to close firefox and reopen it every now and then:|

The extension is attached. Note that it's just a workaround. Hope the real solution will soon be found out.

Zorael (zorael) wrote :

That extension proved marvellous, many thanks.

dirac3000 (alvaro-moran) wrote :

Yes,
The extension seem to work perfectly! Maybe it's a not-so-nice workaround, but as long as it works...
Thanks a lot

Harm van Bakel (hvbakel) wrote :

Same here, the extension works beautifully!

Machiel (mvveen) wrote :

I installed the workaround, lets see how it goes, thanks for providing it.

I can confirm the bug on 2 separate Kubuntu installs and Suse 10.2, all updated to the latest versions. All are running extensions but different ones, it seems like a Firefox specific issue to me.

goto (gotolaunchpad) wrote :

Heyho :)

I have this problem since more than year now. It was already the case with FF 1.5. Im using Debian SID (so FF changed to "iceweasel" now). The problem persists.

Maybe interesting could be the following fact:
I had a DELL notebook and changed to a Thinkpad some time ago. They have very different hardware configuriation (Nvidia/ATI). So the problem seems to be independent of hardware components to me. But I copied my mozilla-profile from the old laptop to new Thinkpad - so this could be a problem with the profile... I set up Debian from scratch on the new laptop. So, I don't think this has anything to do with libraries.
I can confirm that it's independent of extensions.

I'm using KDE without desktop effects (no AIGLX). I'm custom KDE themes (someone mentioned it could has somthing to do with themes).
It's a very annoying bug. I always thought I was the only guy experiencing this issue, glad to meet you all in here :)
So the best thing is to find similarities of all affected users - please post more information about your configurations with could be important. (Remember the movie The Cube, where the prisoneers have to seek for similarities to solve the problem) ;)

Greetings
Marc

goto (gotolaunchpad) wrote :

Your extension doesn't work for me :( The problem even occurs with enabled extension for me. What a pitty.

Alexander Sack (asac) wrote :

anybody still sees this? even with desktop effects disabled?

cgh (bugs-launchpad) wrote :

 - Yes, I am still having this problem even though "desktop effects" have never been enabled on my machine.
 - After reading all the posts here and for bug 86477, I wonder if there aren't a few variations to this bug.
 - By the way, I greatly appreciate Joe's effort to create and submit that extension. Thanks Joe. Unfortunately it doesn't work for me either. Firefox won't even start up while it is installed on my machine.

Thanks,
Charles

goto (gotolaunchpad) wrote :

Firefox starts with the extension, but seems to have no effect on my computer. The "not-rendering"-problem still ocurrs (once a day)...

Btw: today, after resizing the content appeared, as usual. Then, I wanted to print a selection of that particular page. Guess what! The printed page was empty except the usual header information...

Marc

lundatok (s1) wrote :

This is a me-too post, I just started experiencing this and it's a real pain!

Running an updated install of the Gutsy Gibbon beta.

Mozilla/5.0 (X11; U; Linux i686; sv-SE; rv:1.8.1.6) Gecko/20071008 Ubuntu/7.10

Have been running with Compiz enabled for weeks with full effects and the Avant Window Manager too without a problem. Started this morning.

lundatok (s1) wrote :

This happens on loading for example http://www.linuxportalen.se/tracker every time.

Test this, new tab and load that page.

Joe Cai (joey-cai) wrote :

I've been using gutsy gibbon for more than a month. I run apt-get upgrade when there are new updates. Now it looks very likely that the bug has gone from my system. Firefox has been working well for quite a few days, at least two weeks. Back then the problem could pop up a few times a day.

Machiel (mvveen) wrote :

The issue seems to be solved on Gutsy for me too.

moelles (moelles) wrote :

i can confirm this bug on kubuntu feisty (latest updates, no desktop effects)
today i noticed it for the firs time.. (maybe it came with the 2.0.0.8 update?)

right now i have a 50/50 chance of seeing the page-content

this kills the usability of firefox for me :(

Still happens for me in Kubuntu Gutsy, though less often than in Feisty. Going to install the extension again now and see if it helps.

Happens both when running Compiz-Fusion and when running standard KWin, by the way.

woallance3 (woallance3) on 2007-10-29
Changed in firefox:
status: Incomplete → In Progress
Evan Wheeler (emwheeler) wrote :

I am seeing this problem on Fedora 7 with Firefox 2.0.0.8. I have Fasterfox and the Del.icio.us extensions, but they are disabled.

I am seeing this problem on Firefox 2.0.0.8 / Fedora 7. Seems to happen more often when downloading a large file simultaneously whilst browsing.

Benjamin Thyreau (benji2) wrote :

Hi,
Same problem here on Fedora 4. Used to sometimes occurs on Firefox 1.0.8 (Fedora 4's default), and now occurs a lot more on Firefox 2.0.0.9.
Switching to another tab doesn't help, but Ctrl-+/- or Resizing the window in fact force the redraw, so it _may_ have to deal with a badly updated "dirty flag"

Dax Marola (lord.xadar) wrote :

In my case it seems the bug is related to "low" bandwidth... I'll explain now what I mean...
We have 3 workstations, all linked to a router... when my father's workstation is on and downloading through eMule at a moderate/fast rate, I get the blank pages, same thing on my father's workstation's browser (Firefox, this time on Windows XP)...
Note: Sorry for the bad english...

This bug is still present in firefox 2.0.0.12. After reading bug #72812 on bugs.launchpad.net and this bug report, I found that the pages can be viewed only after resizing the browser. Thus far the resizing has worked 100% of the time to correct the display issue. I would also agree that this issue is related to the durration of time the browser has been running. Typically I see this occur only after ~1 hour of browser use. The only thing that corrects this issue is either resterting the browser of resizing it. Finally, I am running this browser on CentOs 5, x86_64 w/ kernel 2.6.18-53.1.13.

seahen (seahen123) wrote :

I have an up-to-date version of Firefox and ample bandwidth, and I get the bug. The page that was loaded before in a given tab stays there; if I open a new tab, it stays blank. This seems to happen more often when Amarok is also running. I have Kubuntu and 512 MB RAM.

Please vote for this upstream at

https://bugzilla.mozilla.org/show_bug.cgi?id=352515

hopefully it helpes :)

Alan Fry (afry) wrote :

I have the same problem. KBUNTU, updated firefox about reads:
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.13) Gecko/20080325 Ubuntu/7.10 (gutsy) Firefox/2.0.0.13
It seems to be intermittent, around 30% of my pages require two clicks. The first click displays "done" immediately as a blank page, the second one or a refresh seems to fix it.
2GB Ram, Nvidia geforce, dual core
uname -a
Linux kbuntu 2.6.22-14-generic #1 SMP Tue Feb 12 07:42:25 UTC 2008 i686

Alexander Sack (asac) wrote :

unlikely that this will ever get fixed i firefox 2. does firefox 3 still have that problem?

Changed in firefox:
status: New → Invalid
status: In Progress → Won't Fix
David McNeill (davemc) wrote :

On Hardy it does appear to be fixed in Firefox 3.

However it still occurs in Thunderbird. Must be two years it has been occurring for now, through all upgrades. Both the right pane email preview and a newly opened html email window will not show their html content without a resize. Definitely related to uptime, for me it occurs after two to three weeks of uptime (on a machine with plenty of resources).

Can someone make or give a pointer to an internal stack counter desktop widget or plugin. Something that shows one or two key internal counters or similar. Something like "Free redraw buffers:" or "Allocated html buffer queues:" or "Window paint requests:" or related variables. I don't know the real names or details. Those then afflicted by the bug can monitor one or two of these. If the counters don't go astray, they can move on to the next one. If enough people report that one counter always goes up (or free down), we may have a starting point for finding the leak that causes this whole bug. I want to help with fixing this, but it's obviously deep in the internals and not easily reproducable.

Peri_Quete (peri-quete) wrote :

Same problem:

Firefox 2.0.0.14
Kubuntu 8.04
KDE 3.5.9
Compiz fusion 0.7.4

Mark (mpiazza) wrote :

I have the same problem in both Firefox (2.0.0.13, maybe as far back as 2.0.0.4?) and Thunderbird (2.0.0.9) under SUSE 10.0, and then under SUSE 10.3 on 5 different computers (with almost identical hardware and nVidia drivers, all with dual or triple monitor setups). It most definitely is still a problem in Firefox 3 rc1.
It seems to happen most often when I am developing HTML/PHP code and refreshing a lot. It's quite aggravating when I expect the page contents to change and they don't and I think its a problem with the code rather than with the browser.

I did notice one thing that might help. Pages under 64k total size don't seem to exhibit this problem. To test this I filled a properly formatted HTML document with lorum ipsum text so the exact size of the file was just under 64k while I was the bug was manifesting. It loaded and flowed correctly. I increased the file to just over 64k and the page no longer refreshed when reloaded. Back down to just under 64k and the problem went away again. Perhapses there is a buffer being overflowed? A problem at exactly 64k seems very suspicious indeed.

Some times it is limited to one or two tabs. If only Firefox is exited, or only Thunderbird, they seem to 're-infect' each other. Quitting both Firefox and Thunderbird is the only way to alleviate the symptoms besides the window resize trick.

(Cross-posted from bugs.launchpad.net)

I have the same problem in both Firefox (2.0.0.13, maybe as far back as 2.0.0.4?) and Thunderbird (2.0.0.9) under SUSE 10.0, and then under SUSE 10.3 on 5 different computers (with almost identical hardware and nVidia drivers, all with dual or triple monitor setups). It most definitely is still a problem in Firefox 3 rc1.
It seems to happen most often when I am developing HTML/PHP code and refreshing a lot. It's quite aggravating when I expect the page contents to change and they don't and I think its a problem with the code rather than with the browser.

I did notice one thing that might help. Pages under 64k total size don't seem to exhibit this problem. To test this I filled a properly formatted HTML document with lorum ipsum text so the exact size of the file was just under 64k while I was the bug was manifesting. It loaded and flowed correctly. I increased the file to just over 64k and the page no longer refreshed when reloaded. Back down to just under 64k and the problem went away again. Perhapses there is a buffer being overflowed? A problem at exactly 64k seems very suspicious indeed.

Some times it is limited to one or two tabs. If only Firefox is exited, or only Thunderbird, they seem to 're-infect' each other. Quitting both Firefox and Thunderbird is the only way to alleviate the symptoms besides the window resize trick.

John Vivirito (gnomefreak) wrote :

This is an issue with the 1.8 branch (FF2) but has been fixed in Firefox-3.0. It looks like they are looking into it to fix it but we have to wait for upstream to drop a fix and we will carry it over from upstream.

John Vivirito (gnomefreak) wrote :

When they fix it they will roll it out in a point release example 2.0.0.16 or when they fix it so we will not be fixing it just updating security releases.

On Wed, May 28, 2008 at 10:01:05PM -0000, John Vivirito wrote:
> When they fix it they will roll it out in a point release example
> 2.0.0.16 or when they fix it so we will not be fixing it just updating
> security releases.
>

 affects ubuntu/firefox-3.0
 status fixreleased

 - Alexander

goto (gotolaunchpad) wrote :

when i want to go to
wiki.debian.org
i see nothing. when i blindly select something with the mouse i get to see something. does this have to do with the graphics driver? (radeonhd)

seahen (seahen123) wrote :

If it does, it's not unique to radeonhd, as I'm using the nvidia driver and I have the bug.

I haven't seen this in years, so marking fixed by unknown coder. :)

If we don't know what fixed it, it's WORKSFORME.

Changed in firefox:
status: Confirmed → Invalid
Changed in firefox:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.